use crate::code::LdpcCode;

pub struct BitFlipDecoder<'a> {
    code: &'a LdpcCode,
}

impl<'a> BitFlipDecoder<'a> {
    pub fn new(code: &'a LdpcCode) -> Self {
        Self { code }
    }

    pub fn decode(&self, received: &[u8], max_iter: usize) -> Option<Vec<u8>> {
        let graph = &self.code.tanner_graph;
        unimplemented!("Algo de bit-flipp");
    }
}
